import { DevnetUrl, MainnetUrl, TestnetUrl } from "@solana/rpc-types";
import type { LocalnetUrl, ModifiedClusterUrl, CreateSolanaClientArgs, CreateSolanaClientResult } from "../types/rpc";
/**
 * Create a Solana `rpc` and `rpcSubscriptions` client
 */
export declare function createSolanaClient(props: Omit<CreateSolanaClientArgs<MainnetUrl | "mainnet">, "urlOrMoniker"> & {
    urlOrMoniker: "mainnet";
}): CreateSolanaClientResult<MainnetUrl>;
export declare function createSolanaClient(props: Omit<CreateSolanaClientArgs<DevnetUrl | "devnet">, "urlOrMoniker"> & {
    urlOrMoniker: "devnet";
}): CreateSolanaClientResult<DevnetUrl>;
export declare function createSolanaClient(props: Omit<CreateSolanaClientArgs<TestnetUrl | "testnet">, "urlOrMoniker"> & {
    urlOrMoniker: "testnet";
}): CreateSolanaClientResult<TestnetUrl>;
export declare function createSolanaClient(props: Omit<CreateSolanaClientArgs<LocalnetUrl | "localnet">, "urlOrMoniker"> & {
    urlOrMoniker: "localnet";
}): CreateSolanaClientResult<LocalnetUrl>;
export declare function createSolanaClient<TClusterUrl extends ModifiedClusterUrl>(props: CreateSolanaClientArgs<TClusterUrl>): CreateSolanaClientResult<TClusterUrl>;
//# sourceMappingURL=create-solana-client.d.ts.map