export * from '@solana-program/system';
export * from '@solana-program/memo';
import { COMPUTE_BUDGET_PROGRAM_ADDRESS } from '@solana-program/compute-budget';
export * from '@solana-program/compute-budget';
import { IInstruction, IInstructionWithData } from '@solana/instructions';
import { TransactionMessage } from '@solana/transaction-messages';

/**
 * Check if a given instruction is a `SetComputeUnitLimit` instruction
 */
declare function isSetComputeLimitInstruction(instruction: IInstruction): instruction is IInstruction<typeof COMPUTE_BUDGET_PROGRAM_ADDRESS> & IInstructionWithData<Uint8Array>;
/**
 * Check if a given transaction contains a `SetComputeUnitLimit` instruction
 */
declare function hasSetComputeLimitInstruction(tx: TransactionMessage): boolean;
/**
 * Check if a given instruction is a `SetComputeUnitPrice` instruction
 */
declare function isSetComputeUnitPriceInstruction(instruction: IInstruction): instruction is IInstruction<typeof COMPUTE_BUDGET_PROGRAM_ADDRESS> & IInstructionWithData<Uint8Array>;
/**
 * Check if a given transaction contains a `SetComputeUnitPrice` instruction
 */
declare function hasSetComputeUnitPriceInstruction(tx: TransactionMessage): boolean;

export { hasSetComputeLimitInstruction, hasSetComputeUnitPriceInstruction, isSetComputeLimitInstruction, isSetComputeUnitPriceInstruction };
